OpenShot Audio Library | OpenShotAudio: juce::dsp::SIMDNativeOps< uint32_t > Struct Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
juce::dsp::SIMDNativeOps< uint32_t > Struct Reference

`#include <juce_avx_SIMDNativeOps.h>`

## Public Types
using | vSIMDType = __m256i
using | vSIMDType = uint32x4_t
using | fb = SIMDFallbackOps< uint32_t, vSIMDType >
using | vSIMDType = __m128i

## Public Member Functions
| DECLARE_AVX_SIMD_CONST (uint32_t, kAllBitsSet)
| DECLARE_AVX_SIMD_CONST (uint32_t, kHighBit)
| DECLARE_NEON_SIMD_CONST (uint32_t, kAllBitsSet)
| DECLARE_SSE_SIMD_CONST (uint32_t, kAllBitsSet)
| DECLARE_SSE_SIMD_CONST (uint32_t, kHighBit)

## Static Public Member Functions
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | ssign (__m256i a) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | expand (uint32_t s) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | load (const uint32_t *p) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m256i value, uint32_t *dest) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | add (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | sub (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | mul (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_and (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_or (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_xor (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_andnot (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_not (__m256i a) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | min (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | max (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | equal (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | greaterThan (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | multiplyAdd (__m256i a, __m256i b, __m256i c) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | notEqual (__m256i a, __m256i b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m256i a, __m256i b) noexcept
static forcedinline uint32_t JUCE_VECTOR_CALLTYPE | get (__m256i v, size_t i) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | set (__m256i v, size_t i, uint32_t s) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | truncate (__m256i a) noexcept
static forcedinline uint32_t JUCE_VECTOR_CALLTYPE | sum (__m256i a) noexcept
static forcedinline vSIMDType | expand (uint32_t s) noexcept
static forcedinline vSIMDType | load (const uint32_t *a) noexcept
static forcedinline void | store (vSIMDType value, uint32_t *a) noexcept
static forcedinline uint32_t | get (vSIMDType v, size_t i) noexcept
static forcedinline vSIMDType | set (vSIMDType v, size_t i, uint32_t s) noexcept
static forcedinline vSIMDType | add (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | sub (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | mul (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_and (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_or (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_xor (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_notand (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_not (vSIMDType a) noexcept
static forcedinline vSIMDType | min (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | max (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | equal (vSIMDType a, vSIMDType b) noexcept
static forcedinline bool | allEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | notEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThan (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThanOrEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | multiplyAdd (vSIMDType a, vSIMDType b, vSIMDType c) noexcept
static forcedinline vSIMDType | truncate (vSIMDType a) noexcept
static forcedinline uint32_t | sum (vSIMDType a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | vconst (const uint32_t *a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | ssign (__m128i a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | load (const uint32_t *a) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m128i v, uint32_t *p) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | expand (uint32_t s) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | add (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | sub (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_and (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_or (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_xor (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_andnot (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_not (__m128i a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | equal (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | greaterThan (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | multiplyAdd (__m128i a, __m128i b, __m128i c) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | notEqual (__m128i a, __m128i b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m128i a, __m128i b) noexcept
static forcedinline uint32_t JUCE_VECTOR_CALLTYPE | get (__m128i v, size_t i) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | set (__m128i v, size_t i, uint32_t s) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | truncate (__m128i a) noexcept
static forcedinline uint32_t JUCE_VECTOR_CALLTYPE | sum (__m128i a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | mul (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | min (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | max (__m128i a, __m128i b) noexcept

## Detailed Description

Unsigned 32-bit integer AVX intrinsics.

Unsigned 32-bit integer NEON intrinsics.

Unsigned 32-bit integer SSE intrinsics.

Definition at line 529 of file juce_avx_SIMDNativeOps.h.

## Member Typedef Documentation

## ◆ fb

using juce::dsp::SIMDNativeOps< uint32_t >::fb = SIMDFallbackOps<uint32_t, vSIMDType>

Definition at line 68 of file juce_neon_SIMDNativeOps.h.

## ◆ vSIMDType [1/3]

using juce::dsp::SIMDNativeOps< uint32_t >::vSIMDType = __m256i

Definition at line 532 of file juce_avx_SIMDNativeOps.h.

## ◆ vSIMDType [2/3]

using juce::dsp::SIMDNativeOps< uint32_t >::vSIMDType = uint32x4_t

Definition at line 67 of file juce_neon_SIMDNativeOps.h.

## ◆ vSIMDType [3/3]

using juce::dsp::SIMDNativeOps< uint32_t >::vSIMDType = __m128i

Definition at line 537 of file juce_sse_SIMDNativeOps.h.

## Member Function Documentation

## ◆ add() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::add | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 549 of file juce_sse_SIMDNativeOps.h.

## ◆ add() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::add | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 543 of file juce_avx_SIMDNativeOps.h.

## ◆ add() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::add | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 79 of file juce_neon_SIMDNativeOps.h.

## ◆ allEqual() [1/3]

static forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::allEqual | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 561 of file juce_sse_SIMDNativeOps.h.

## ◆ allEqual() [2/3]

static forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::allEqual | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 558 of file juce_avx_SIMDNativeOps.h.

## ◆ allEqual() [3/3]

static forcedinline bool juce::dsp::SIMDNativeOps< uint32_t >::allEqual | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 90 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_and() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::bit_and | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 551 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_and() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::bit_and | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 546 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_and() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::bit_and | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 82 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_andnot() [1/2]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::bit_andnot | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 554 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_andnot() [2/2]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::bit_andnot | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 549 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_not() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::bit_not | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 555 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_not() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::bit_not | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 550 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_not() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::bit_not | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 86 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_notand()

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::bit_notand | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 85 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_or() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::bit_or | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 552 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_or() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::bit_or | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 547 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_or() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::bit_or | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 83 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_xor() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::bit_xor | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 553 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_xor() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::bit_xor | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 548 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_xor() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::bit_xor | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 84 of file juce_neon_SIMDNativeOps.h.

## ◆ equal() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::equal | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 556 of file juce_sse_SIMDNativeOps.h.

## ◆ equal() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::equal | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 553 of file juce_avx_SIMDNativeOps.h.

## ◆ equal() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::equal | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 89 of file juce_neon_SIMDNativeOps.h.

## ◆ expand() [1/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::expand | ( | uint32_t | s | ) |
| inlinestaticnoexcept

Definition at line 540 of file juce_avx_SIMDNativeOps.h.

## ◆ expand() [2/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::expand | ( | uint32_t | s | ) |
| inlinestaticnoexcept

Definition at line 74 of file juce_neon_SIMDNativeOps.h.

## ◆ expand() [3/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::expand | ( | uint32_t | s | ) |
| inlinestaticnoexcept

Definition at line 548 of file juce_sse_SIMDNativeOps.h.

## ◆ get() [1/3]

static forcedinline uint32_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::get | ( | __m128i | v,
|  | size_t | i
| ) |  |
| inlinestaticnoexcept

Definition at line 562 of file juce_sse_SIMDNativeOps.h.

## ◆ get() [2/3]

static forcedinline uint32_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::get | ( | __m256i | v,
|  | size_t | i
| ) |  |
| inlinestaticnoexcept

Definition at line 559 of file juce_avx_SIMDNativeOps.h.

## ◆ get() [3/3]

static forcedinline uint32_t juce::dsp::SIMDNativeOps< uint32_t >::get | ( | vSIMDType | v,
|  | size_t | i
| ) |  |
| inlinestaticnoexcept

Definition at line 77 of file juce_neon_SIMDNativeOps.h.

## ◆ greaterThan() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::greaterThan | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 557 of file juce_sse_SIMDNativeOps.h.

## ◆ greaterThan() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::greaterThan | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 554 of file juce_avx_SIMDNativeOps.h.

## ◆ greaterThan() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::greaterThan | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 92 of file juce_neon_SIMDNativeOps.h.

## ◆ greaterThanOrEqual() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::greaterThanOrEqual | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 558 of file juce_sse_SIMDNativeOps.h.

## ◆ greaterThanOrEqual() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::greaterThanOrEqual | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 555 of file juce_avx_SIMDNativeOps.h.

## ◆ greaterThanOrEqual() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::greaterThanOrEqual | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 93 of file juce_neon_SIMDNativeOps.h.

## ◆ load() [1/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::load | ( | const uint32_t * | a | ) |
| inlinestaticnoexcept

Definition at line 75 of file juce_neon_SIMDNativeOps.h.

## ◆ load() [2/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::load | ( | const uint32_t * | a | ) |
| inlinestaticnoexcept

Definition at line 546 of file juce_sse_SIMDNativeOps.h.

## ◆ load() [3/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::load | ( | const uint32_t * | p | ) |
| inlinestaticnoexcept

Definition at line 541 of file juce_avx_SIMDNativeOps.h.

## ◆ max() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::max | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 599 of file juce_sse_SIMDNativeOps.h.

## ◆ max() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::max | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 552 of file juce_avx_SIMDNativeOps.h.

## ◆ max() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::max | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 88 of file juce_neon_SIMDNativeOps.h.

## ◆ min() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::min | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 589 of file juce_sse_SIMDNativeOps.h.

## ◆ min() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::min | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 551 of file juce_avx_SIMDNativeOps.h.

## ◆ min() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::min | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 87 of file juce_neon_SIMDNativeOps.h.

## ◆ mul() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::mul | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 577 of file juce_sse_SIMDNativeOps.h.

## ◆ mul() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::mul | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 545 of file juce_avx_SIMDNativeOps.h.

## ◆ mul() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::mul | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 81 of file juce_neon_SIMDNativeOps.h.

## ◆ multiplyAdd() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::multiplyAdd | ( | __m128i | a,
|  | __m128i | b,
|  | __m128i | c
| ) |  |
| inlinestaticnoexcept

Definition at line 559 of file juce_sse_SIMDNativeOps.h.

## ◆ multiplyAdd() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::multiplyAdd | ( | __m256i | a,
|  | __m256i | b,
|  | __m256i | c
| ) |  |
| inlinestaticnoexcept

Definition at line 556 of file juce_avx_SIMDNativeOps.h.

## ◆ multiplyAdd() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::multiplyAdd | ( | vSIMDType | a,
|  | vSIMDType | b,
|  | vSIMDType | c
| ) |  |
| inlinestaticnoexcept

Definition at line 94 of file juce_neon_SIMDNativeOps.h.

## ◆ notEqual() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::notEqual | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 560 of file juce_sse_SIMDNativeOps.h.

## ◆ notEqual() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::notEqual | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 557 of file juce_avx_SIMDNativeOps.h.

## ◆ notEqual() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::notEqual | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 91 of file juce_neon_SIMDNativeOps.h.

## ◆ set() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::set | ( | __m128i | v,
|  | size_t | i,
|  | uint32_t | s
| ) |  |
| inlinestaticnoexcept

Definition at line 563 of file juce_sse_SIMDNativeOps.h.

## ◆ set() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::set | ( | __m256i | v,
|  | size_t | i,
|  | uint32_t | s
| ) |  |
| inlinestaticnoexcept

Definition at line 560 of file juce_avx_SIMDNativeOps.h.

## ◆ set() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::set | ( | vSIMDType | v,
|  | size_t | i,
|  | uint32_t | s
| ) |  |
| inlinestaticnoexcept

Definition at line 78 of file juce_neon_SIMDNativeOps.h.

## ◆ ssign() [1/2]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::ssign | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 545 of file juce_sse_SIMDNativeOps.h.

## ◆ ssign() [2/2]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::ssign | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 539 of file juce_avx_SIMDNativeOps.h.

## ◆ store() [1/3]

static forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::store | ( | __m128i | v,
|  | uint32_t * | p
| ) |  |
| inlinestaticnoexcept

Definition at line 547 of file juce_sse_SIMDNativeOps.h.

## ◆ store() [2/3]

static forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::store | ( | __m256i | value,
|  | uint32_t * | dest
| ) |  |
| inlinestaticnoexcept

Definition at line 542 of file juce_avx_SIMDNativeOps.h.

## ◆ store() [3/3]

static forcedinline void juce::dsp::SIMDNativeOps< uint32_t >::store | ( | vSIMDType | value,
|  | uint32_t * | a
| ) |  |
| inlinestaticnoexcept

Definition at line 76 of file juce_neon_SIMDNativeOps.h.

## ◆ sub() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::sub | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 550 of file juce_sse_SIMDNativeOps.h.

## ◆ sub() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::sub | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 544 of file juce_avx_SIMDNativeOps.h.

## ◆ sub() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::sub | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 80 of file juce_neon_SIMDNativeOps.h.

## ◆ sum() [1/3]

static forcedinline uint32_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::sum | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 567 of file juce_sse_SIMDNativeOps.h.

## ◆ sum() [2/3]

static forcedinline uint32_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::sum | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 564 of file juce_avx_SIMDNativeOps.h.

## ◆ sum() [3/3]

static forcedinline uint32_t juce::dsp::SIMDNativeOps< uint32_t >::sum | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 97 of file juce_neon_SIMDNativeOps.h.

## ◆ truncate() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::truncate | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 564 of file juce_sse_SIMDNativeOps.h.

## ◆ truncate() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::truncate | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 561 of file juce_avx_SIMDNativeOps.h.

## ◆ truncate() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint32_t >::truncate | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 95 of file juce_neon_SIMDNativeOps.h.

## ◆ vconst()

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint32_t >::vconst | ( | const uint32_t * | a | ) |
| inlinestaticnoexcept

Definition at line 544 of file juce_sse_SIMDNativeOps.h.

The documentation for this struct was generated from the following files:

- juce_avx_SIMDNativeOps.h
- juce_neon_SIMDNativeOps.h
- juce_sse_SIMDNativeOps.h